A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Member Functions | Data Fields
af_cfloat Struct Reference

`#include <complex.h>`

## Public Member Functions
| af_cfloat (const float _real=0, const float _imag=0)

## Data Fields
float | real
float | imag

## Detailed Description

Definition at line 24 of file complex.h.

## Constructor & Destructor Documentation

## ◆ af_cfloat()

af_cfloat | ( | const float | _real = 0,
|  | const float | _imag = 0 )
| inline

Definition at line 28 of file complex.h.

28:real(_real), imag(_imag) {}
af::af_cfloat::real
float real
Definition complex.h:25
af::af_cfloat::imag
float imag
Definition complex.h:26

## Field Documentation

## ◆ imag

float imag

Definition at line 26 of file complex.h.

## ◆ real

float real

Definition at line 25 of file complex.h.

The documentation for this struct was generated from the following file:

- complex.h